Bug 474354 - Not being able to change spacer width by typing the number
Summary: Not being able to change spacer width by typing the number
Status: RESOLVED FIXED
Alias: None
Product: plasmashell
Classification: Plasma
Component: Panel (show other bugs)
Version: 5.27.7
Platform: Other Linux
: NOR normal
Target Milestone: 1.0
Assignee: Plasma Bugs List
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2023-09-10 07:05 UTC by Mohammad K.
Modified: 2023-11-06 20:16 UTC (History)
2 users (show)

See Also:
Latest Commit:
Version Fixed In: 6.0


Attachments
Screenshot of the issue described (1.57 MB, image/png)
2023-09-10 07:05 UTC, Mohammad K.
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Mohammad K. 2023-09-10 07:05:34 UTC
Created attachment 161530 [details]
Screenshot of the issue described

SUMMARY

It's not possible to type on spacer width field. when I start typing, it's written on panel height field.


STEPS TO REPRODUCE
1. Go to edit mode
2. Try to set width for a spacer by typing the width
3. It's written on the panel height field instead


SOFTWARE/OS VERSIONS
KDE Plasma Version: 5.27.7
KDE Frameworks Version: 5.107.0
Qt Version: 5.15.10
Kernel Version: 6.4.0-4-amd64 (64-bit)
Graphics Platform: Wayland
Comment 1 Niccolò Venerandi 2023-11-06 20:16:13 UTC
Git commit 8bad74fe9ed43af3081b8dd97cc17524b82c2d77 by Niccolò Venerandi.
Committed on 06/11/2023 at 21:15.
Pushed by niccolove into branch 'master'.

Redesign panel settings with a dialog

This moves all panel options in a single dialog that floats near the panel.
Related: bug 450892, bug 459103, bug 458008, bug 440274, bug 453693, bug 460844, bug 455478, bug 462980, bug 454720, bug 455476, bug 460845, bug 468009, bug 364456
FIXED-IN: 6.0

M  +495  -133  desktoppackage/contents/configuration/PanelConfiguration.qml
D  +0    -305  desktoppackage/contents/configuration/panelconfiguration/MoreSettingsMenu.qml
M  +76   -84   desktoppackage/contents/configuration/panelconfiguration/PanelRepresentation.qml
M  +53   -266  desktoppackage/contents/configuration/panelconfiguration/Ruler.qml
M  +10   -37   desktoppackage/contents/configuration/panelconfiguration/SliderHandle.qml
D  +0    -594  desktoppackage/contents/configuration/panelconfiguration/ToolBar.qml

https://invent.kde.org/plasma/plasma-desktop/-/commit/8bad74fe9ed43af3081b8dd97cc17524b82c2d77